<template>
  <div
    class="content d-flex flex-column flex-column-fluid profile"
    style="direction:ltr !important"
    id="kt_content"
  >
    <!--begin::Entry-->
    <div class="d-flex flex-column-fluid">
      <!--begin::Container-->
      <div class="container">
        <!--begin::Invoice-->

        <div class="card card-custom position-relative overflow-hidden">
          <!--begin::Shape-->
          <div class="position-absolute opacity-30">
            <span class="svg-icon svg-icon-10x svg-logo-white">
              <!--begin::Svg Icon | path:/metronic/theme/html/demo1/dist/assets/media/svg/shapes/abstract-8.svg-->
              <svg
                xmlns="http://www.w3.org/2000/svg"
                width="176"
                height="165"
                viewBox="0 0 176 165"
                fill="none"
              >
                <g clip-path="url(#clip0)">
                  <path
                    d="M-10.001 135.168C-10.001 151.643 3.87924 165.001 20.9985 165.001C38.1196 165.001 51.998 151.643 51.998 135.168C51.998 118.691 38.1196 105.335 20.9985 105.335C3.87924 105.335 -10.001 118.691 -10.001 135.168Z"
                    fill="#AD84FF"
                  />
                  <path
                    d="M28.749 64.3117C28.749 78.7296 40.8927 90.4163 55.8745 90.4163C70.8563 90.4163 83 78.7296 83 64.3117C83 49.8954 70.8563 38.207 55.8745 38.207C40.8927 38.207 28.749 49.8954 28.749 64.3117Z"
                    fill="#AD84FF"
                  />
                  <path
                    d="M82.9996 120.249C82.9996 144.964 103.819 165 129.501 165C155.181 165 176 144.964 176 120.249C176 95.5342 155.181 75.5 129.501 75.5C103.819 75.5 82.9996 95.5342 82.9996 120.249Z"
                    fill="#AD84FF"
                  />
                  <path
                    d="M98.4976 23.2928C98.4976 43.8887 115.848 60.5856 137.249 60.5856C158.65 60.5856 176 43.8887 176 23.2928C176 2.69692 158.65 -14 137.249 -14C115.848 -14 98.4976 2.69692 98.4976 23.2928Z"
                    fill="#AD84FF"
                  />
                  <path
                    d="M-10.0011 8.37466C-10.0011 20.7322 0.409554 30.7493 13.2503 30.7493C26.0911 30.7493 36.5 20.7322 36.5 8.37466C36.5 -3.98287 26.0911 -14 13.2503 -14C0.409554 -14 -10.0011 -3.98287 -10.0011 8.37466Z"
                    fill="#AD84FF"
                  />
                  <path
                    d="M-2.24881 82.9565C-2.24881 87.0757 1.22081 90.4147 5.50108 90.4147C9.78135 90.4147 13.251 87.0757 13.251 82.9565C13.251 78.839 9.78135 75.5 5.50108 75.5C1.22081 75.5 -2.24881 78.839 -2.24881 82.9565Z"
                    fill="#AD84FF"
                  />
                  <path
                    d="M55.8744 12.1044C55.8744 18.2841 61.0788 23.2926 67.5001 23.2926C73.9196 23.2926 79.124 18.2841 79.124 12.1044C79.124 5.92653 73.9196 0.917969 67.5001 0.917969C61.0788 0.917969 55.8744 5.92653 55.8744 12.1044Z"
                    fill="#AD84FF"
                  />
                </g>
              </svg>
              <!--end::Svg Icon-->
            </span>
          </div>

          <!--end::Shape-->
          <!--begin::Invoice header-->
          <div class="row justify-content-center py-8 px-8 py-md-36 px-md-0 bg-primary">
            <div class="col-md-9">
              <div
                class="symbol symbol-60 symbol-xxl-100 ml-5 align-self-start align-self-xxl-center"
              >
                <div
                  class="symbol-label"
                  :style="resume ?'background-image: url('+host+resume.avatar+')':{ backgroundImage: `url(${backgroundUrl})` }"
                ></div>
              </div>

              <h1
                class="display-4 font-weight-boldest text-white"
              >{{resume ? resume.name+' '+resume.lastName:''}}</h1>
              <p
                class="mt-3 display-5 font-weight-boldest text-white"
              >{{resume ? resume.aboutMe:''}}</p>

              <div
                class="d-flex justify-content-between align-items-md-center flex-column flex-md-row"
              >
                <div class="d-flex flex-column px-0 order-2 order-md-1">
                  <!--begin::Logo-->

                  <b class="mb-5 text-white">
                    {{resume && resume.ConfirmationStatus=='Filling'?'درحال تکمیل یا ویرایش رزومه' : ''}}
                    {{resume && resume.ConfirmationStatus=='Pending'?'در انتظار تعیین وضعیت رزومه' : ''}}
                    {{resume && resume.ConfirmationStatus=='Confirmed'?'تایید شده' : ''}}
                    {{resume && resume.ConfirmationStatus=='Rejected'?'رد شده' : ''}}
                  </b>
                  <!--end::Logo-->
                  <span class="d-flex flex-column font-size-h5 font-weight-bold text-white">
                    <span class="mb-2">{{resume && resume.salary ? resume.salary.name : ''}}</span>
                    <span
                      class="mb-2"
                      v-for="item in resume.workTime"
                      :key="item.message"
                    >{{resume && resume.salary? item.name : ''}}</span>
                  </span>
                </div>
              </div>
            </div>
          </div>

          <div class="row justify-content-center" style="direction:rtl !important">
            <div class="col-6 border">
              <div class="table-responsive">
                <table class="table">
                  <thead>
                    <tr>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">مشخصات فردی</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="font-weight-boldest font-size-lg">
                      <td class="pl-0 pt-7">شماره موبایل</td>
                      <td class="text-right pt-7">{{resume && resume.user ? resume.user.phone : ''}}</td>
                    </tr>
                    <tr class="font-weight-boldest border-bottom-0 font-size-lg">
                      <td class="border-top-0 pl-0 py-4">جنسیت</td>
                      <td
                        class="border-top-0 text-right py-4"
                      >{{resume && resume.gender ? resume.gender : ''}}</td>
                    </tr>
                    <tr
                      class="font-weight-boldest border-bottom-0 font-size-lg"
                      v-if="resume && resume.gender=='مرد'"
                    >
                      <td class="border-top-0 pl-0 py-4">وضعیت نظام وظیفه</td>
                      <td
                        class="border-top-0 text-right py-4"
                      >{{resume && resume.dutyStatus ? resume.dutyStatus : ''}}</td>
                    </tr>
                    <tr
                      class="font-weight-boldest border-bottom-0 font-size-lg"
                      v-if="resume && resume.gender=='مرد'"
                    >
                      <td class="border-top-0 pl-0 py-4">محل سکونت</td>
                      <td
                        class="border-top-0 text-right py-4"
                      >{{resume && resume.city && resume.state ? resume.state.name+' - '+resume.city.name : ''}}</td>
                    </tr>
                    <tr
                      class="font-weight-boldest border-bottom-0 font-size-lg"
                      v-if="resume && resume.gender=='مرد'"
                    >
                      <td class="border-top-0 pl-0 py-4">آدرس</td>
                      <td
                        class="border-top-0 text-right py-4"
                      >{{resume && resume.address ? resume.address : ''}}</td>
                    </tr>
                    <tr
                      class="font-weight-boldest border-bottom-0 font-size-lg"
                      v-if="resume && resume.gender=='مرد'"
                    >
                      <td class="border-top-0 pl-0 py-4">شماره منزل</td>
                      <td
                        class="border-top-0 text-right py-4"
                      >{{resume && resume.homeNumber ? resume.homeNumber : ''}}</td>
                    </tr>
                    <tr class="font-weight-boldest border-bottom-0 font-size-lg">
                      <td class="border-top-0 pl-0 py-4">ایمیل</td>
                      <td class="border-top-0 text-right py-4">
                        <a href="#">{{resume && resume.email ? resume.email : ''}}</a>
                      </td>
                    </tr>
                    <tr class="font-weight-boldest border-bottom-0 font-size-lg">
                      <td class="border-top-0 pl-0 py-4">تاریخ تولد</td>
                      <td class="border-top-0 text-right py-4">
                        <a
                          href="#"
                        >{{resume && resume.birthday ? changeToShamsi(resume.birthday) : ''}}</a>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="col-6 border">
              <div class="table-responsive">
                <table class="table">
                  <thead>
                    <tr>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">مقطع تحصیلی</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">وضعیت تحصیلی</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">محل تحصیل</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">تاریخ شروع</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">تاریخ پایان</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr
                      class="font-weight-boldest font-size-lg"
                      v-for="education in resume.education"
                      v-bind:key="education.id"
                    >
                      <td class="pl-0 pt-7">{{education.grade?education.grade.name:''}}</td>
                      <td class="pl-0 pt-7">{{education.currentStudying?'درحال تحصیل':'تمام شده'}}</td>
                      <td class="text-right pt-7">{{education.location}}</td>
                      <td class="text-right pt-7">{{changeToShamsi(education.startDate)}}</td>
                      <td class="text-right pt-7">{{changeToShamsi(education.endDate)}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="col-6 border">
              <div class="table-responsive">
                <table class="table">
                  <thead>
                    <tr>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">نام مهارت</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">میزان توانایی</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">توضیحات</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr
                      class="font-weight-boldest font-size-lg"
                      v-for="skill in vipSkills"
                      v-bind:key="skill.id"
                    >
                      <td class="pl-0 pt-7">{{skill.name}}</td>
                      <td class="text-right pt-7">{{skill.ability}}</td>
                      <td class="text-right pt-7">{{skill.description}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="col-6 border">
              <div class="table-responsive">
                <table class="table">
                  <thead>
                    <tr>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">نام مدرک یا گواهی</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">محل دریافت مدرک</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">توضیحات</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr
                      class="font-weight-boldest font-size-lg"
                      v-for="certification in resume.certifications"
                      v-bind:key="certification.id"
                    >
                      <td class="pl-0 pt-7">{{certification.name?certification.name:''}}</td>
                      <td class="text-right pt-7">{{certification.location}}</td>
                      <td class="text-right pt-7">{{certification.description}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="col-6 border">
              <div class="table-responsive">
                <table class="table">
                  <thead>
                    <tr>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">نام شغل</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">محل کار</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">تاریخ شروع</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">تاریخ پایان</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr
                      class="font-weight-boldest font-size-lg"
                      v-for="job in resume.jobs"
                      v-bind:key="job.id"
                    >
                      <td class="pl-0 pt-7">{{job.name?job.name:''}}</td>
                      <td class="text-right pt-7">{{job.location}}</td>
                      <td class="text-right pt-7">{{changeToShamsi(job.startDate)}}</td>
                      <td class="text-right pt-7">{{changeToShamsi(job.endDate)}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="col-6 border">
              <div class="table-responsive">
                <table class="table">
                  <thead>
                    <tr>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">نام زبان</th>
                      <th class="pl-0 font-weight-bold text-muted text-uppercase">میزان تسلط</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr
                      class="font-weight-boldest font-size-lg"
                      v-for="language in resume.languages"
                      v-bind:key="language.id"
                    >
                      <td class="pl-0 pt-7">{{language.name?language.name:''}}</td>
                      <td class="text-right pt-7">{{language.ability}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
          <b-row md="12" class="m-3">
            <span
              class="label label-xl label-primary label-inline mr-2 mt-1"
              v-for="skill in skills"
              v-bind:key="skill.id"
            >{{skill.name}}</span>
          </b-row>
          <b-row class="m-3" style="direction:rtl !important">
            <b-col md="12">
              <div class="form-group">
                <label>پیغام</label>

                <textarea
                  class="form-control"
                  rows="4"
                  style="margin-top: 0px; margin-bottom: 0px; height: 96px;"
                  placeholder="پیغامی برای صاحب رزومه بنویسید."
                  v-model="message"
                  name="پیغام"
                ></textarea>
              </div>
            </b-col>
            <div class="form-group mt-2">
              <label for="exampleSelect1">وضعیت رزومه</label>
              <select class="form-control" id="exampleSelect1" v-model="Confirmation">
                <option value="Showing">مشاهده شده</option>
                <option value="Filling">قابل ویرایش</option>
                <option value="Pending">در انتظار تایید</option>
                <option value="Confirmed">تایید</option>
                <option value="Rejected">رد</option>
              </select>
            </div>
            <b-col md="2" class="mt-10">
              <b-button class="btn btn-bg-primary col-12" @click="save">ذخیره</b-button>
            </b-col>

            <b-col md="5" class="mt-10 float-right">
              <router-link to="/">
                <button type="button" class="col-md-2 btn btn-secondary">بازگشت</button>
              </router-link>
            </b-col>
          </b-row>
        </div>
        <!--end::Invoice-->
      </div>
      <!--end::Container-->
    </div>
    <!--end::Entry-->
  </div>
</template>

<script>
import gql from "graphql-tag";
import confirmStatusAdmin from "~/apollo/mutation/admin/confirmStatusAdmin.gql";
import backgroundUrlDefualt from "~/assets/media/users/blank.png";

export default {
  layout: "home",
  name: "resume",
  data() {
    return {
      resume: {},
      skills: null,
      vipSkills: null,
      Confirmation: null,
      message: null,
      host: null,
      backgroundUrl: null,
    };
  },
  mounted() {
    let Storage = localStorage.getItem("resume_admin");
    this.host = JSON.parse(Storage).host;

    this.resume = this.$store.state.resume.resume;
    this.Confirmation = this.resume.ConfirmationStatus;
    this.message = this.resume.message;
    if (Object.values(this.resume).length < 1) {
      this.$router.push("/");
    }
    this.$store.commit("breadcrumbs/SET_BREADCRUMB", [
      { title: "خانه", route: "/" },
      { title: "مشاهده رزومه" },
    ]);
    this.vipSkills = this.resume.skills.filter((item) => item.vip == true);
    this.skills = this.resume.skills.filter((item) => item.vip == null);
  },
  methods: {
    changeToShamsi(timestamp) {
      if (timestamp) {
        let date = new Date(timestamp);
        return date.toLocaleDateString("fa-IR");
      } else {
        return "-----";
      }
    },
    toTimestamp(strDate) {
      var datum = Date.parse(strDate);
      return datum / 1000;
    },
    save() {
      if (this.message == null) {
        Swal.fire({
          title: "پیغام  بگذارید",
          text: "جهت تغییر وضعیت کاربر فیلد پیغام را پر کنید ",
          icon: "warning",
          confirmButtonText: "باشه",
        }).then((res) => {});
      } else {
        this.saveStatus();
      }
    },
    async saveStatus() {
      let self = this;
      self.overlay = true;
      let variables = {
        id: this.resume.id,
        message: self.message,
        confirmStatus: self.Confirmation,
      };
      let mutation = gql`
        ${confirmStatusAdmin}
      `;
      await this.$apollo
        .mutate({
          mutation,
          variables,
          context: { headers: { "x-token": this.$auth.getToken("local") } },
        })
        .then(({ data }) => {
          self.overlay = false;
          Swal.close();
          if (data.confirmStatusAdmin != null) {
            Swal.fire({
              title: "موفقیت آمیز",
              text: "اطلاعات با موفقیت ثبت شد.",
              icon: "success",
              confirmButtonText: "باشه",
            }).then((res) => {});
          }
        })
        .catch((err) => {
          self.overlay = false;
          Swal.close();
          let gqlError = err.graphQLErrors;
          if (gqlError.length > 0) {
            if (err.graphQLErrors[0].extensions.code == "UNAUTHENTICATED") {
              let self = this;
              console.log("please login");
              this.$auth.logout().then((res) => {
                self.$router.push("/login");
              });
            }
          } else {
            Swal.fire({
              title: "خطا",
              text:
                "مشکل در ارتباط، لطفا اتصال اینترنت خود را بررسی و سپس مجددا تلاش کنید",
              icon: "error",
              confirmButtonText: "باشه",
            });
          }
        });
    },
  },
};
</script>

<style scoped>
</style>